summaryrefslogtreecommitdiff
path: root/scripts/revert_pot
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/revert_pot')
-rwxr-xr-xscripts/revert_pot15
1 files changed, 15 insertions, 0 deletions
diff --git a/scripts/revert_pot b/scripts/revert_pot
new file mode 100755
index 000000000..a46996ed6
--- /dev/null
+++ b/scripts/revert_pot
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+# Reverts local changes in POT files.
+# Translators are normally not supposed to commit any changes to POT
+# files after they've run update_pot.
+
+POTDIR="./po/pot"
+
+[ -d $POTDIR ] || exit 1
+
+echo "Reverting modified POT files (if any)..."
+for POT in $(svn st $POTDIR | grep "^M" | sed "s/^M[[:space:]]*//"); do
+ svn revert $POT
+done
+echo "done."